# Uses of Enum
org.eclipse.mat.query.Column.Alignment

Packages that use Column.Alignment
Package
Description
org.eclipse.mat.query
Package for examining and controlling results of running queries.

## Uses of Column.Alignment in org.eclipse.mat.query

Methods in org.eclipse.mat.query that return Column.Alignment
Modifier and Type
Method
Description
`Column.Alignment`
Column.`getAlign()`
`static Column.Alignment`
Column.Alignment.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Column.Alignment[]`
Column.Alignment.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.mat.query with parameters of type Column.Alignment
Modifier and Type
Method
Description
`Column`
Column.`aligning(Column.Alignment align)`
Alignment of the column.
Constructors in org.eclipse.mat.query with parameters of type Column.Alignment
Modifier
Constructor
Description
``
`Column(String label, Class<?> type, Column.Alignment align, Column.SortDirection direction, Format formatter, Comparator<?> comparator)`
Build a column with the given label.